#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define	        module 	babel
Summary:	Babel - internationalization library for Python 2
Summary(pl.UTF-8):	Babel - biblioteka umiędzynaradawiająca dla Pythona 2
Name:		python-%{module}
Version:	1.3
Release:	5
License:	BSD-like
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/Babel
Source0:	https://pypi.python.org/packages/source/B/Babel/Babel-%{version}.tar.gz
# Source0-md5:	5264ceb02717843cbc9ffce8e6e06bdb
URL:		http://babel.pocoo.org/
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-devel-tools
BuildRequires:	python-setuptools
BuildRequires:	python-pytz
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-devel-tools
BuildRequires:	python3-setuptools
BuildRequires:	python3-modules
BuildRequires:	python3-pytz
%endif
%{?with_doc:BuildRequires: sphinx-pdg}
Requires:	python-modules
Requires:	python-pytz
Obsoletes:	python-Babel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%description -l pl.UTF-8
Babel to biblioteka Pythona zawierająca zintegrowany zbiór narzędzi
pomagających przy umiędzynaradawianiu i lokalizowaniu aplikacji w
Pythonie (w szczególności aplikacji WWW).

%package -n python3-%{module}
Summary:	Babel - internationalization library for Python 3
Summary(pl.UTF-8):	Babel - biblioteka umiędzynaradawiająca dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-pytz

%description -n python3-%{module}
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%description -n python3-%{module} -l pl.UTF-8
Babel to biblioteka Pythona zawierająca zintegrowany zbiór narzędzi
pomagających przy umiędzynaradawianiu i lokalizowaniu aplikacji w
Pythonie (w szczególności aplikacji WWW).

%package apidocs
Summary:	Python Babel API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Pythona Babel
Group:		Documentation

%description apidocs
Python Babel API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Pythona Babel.

%prep
%setup -q -n Babel-%{version}

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__python3} setup.py \
        build --build-base build-3 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_bindir}/{pybabel,pybabel3}
%endif

%if %{with python2}
%{__python} setup.py \
        build --build-base build-2 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT

%py_postclean
%endif

find $RPM_BUILD_ROOT%{py_sitescriptdir}/babel/localedata -name '*.dat' | \
	sed -e "s#^$RPM_BUILD_ROOT##" | \
	sed -ne 's,.*/\([a-z][a-z][a-z]\?\)\(_[0-9][0-9][0-9]\|_[A-Z][a-z][a-z][a-z]\)\?\(_[A-Z][A-Z]\)\?\(_POSIX\)\?\.dat$,%lang(\1\3) &,p' > py2.lang

find $RPM_BUILD_ROOT%{py3_sitescriptdir}/babel/localedata -name '*.dat' | \
	sed -e "s#^$RPM_BUILD_ROOT##" | \
	sed -ne 's,.*/\([a-z][a-z][a-z]\?\)\(_[0-9][0-9][0-9]\|_[A-Z][a-z][a-z][a-z]\)\?\(_[A-Z][A-Z]\)\?\(_POSIX\)\?\.dat,%lang(\1\3) &,p' > py3.lang

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files -f py2.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README
%attr(755,root,root) %{_bindir}/pybabel
%dir %{py_sitescriptdir}/babel
%{py_sitescriptdir}/babel/global.dat
%{py_sitescriptdir}/babel/*.py[co]
%dir %{py_sitescriptdir}/babel/localtime
%{py_sitescriptdir}/babel/localtime/*.py[co]
%dir %{py_sitescriptdir}/babel/localedata
%{py_sitescriptdir}/babel/localedata/root.dat
%dir %{py_sitescriptdir}/babel/messages
%{py_sitescriptdir}/babel/messages/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Babel-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module} -f py3.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README
%attr(755,root,root) %{_bindir}/pybabel3
%dir %{py3_sitescriptdir}/babel
%{py3_sitescriptdir}/babel/__pycache__
%{py3_sitescriptdir}/babel/global.dat
%{py3_sitescriptdir}/babel/*.py
%{py3_sitescriptdir}/babel/localtime
%dir %{py3_sitescriptdir}/babel/localedata
%{py3_sitescriptdir}/babel/localedata/root.dat
%{py3_sitescriptdir}/babel/messages
%{py3_sitescriptdir}/Babel-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-babel.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b901262
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a0700
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Jun 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 73c67f0
- pl
- use lang() tags for locale data

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 8340e96
- BR: sphinx-pdg when building docs

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 4761453
- dependencies fixes

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> fd18bd5
- URL and python3 summary fixes

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e8fc529
- python 3.4
- release 2 (by relup.sh)

* Fri Oct 03 2014 Mateusz Korniak <matkor@pld-linux.org> de41ba6
- Release 1.

* Fri Oct 03 2014 Mateusz Korniak <matkor@pld-linux.org> 4c63ce1
- Up to 1.3

* Sat Mar 02 2013 Elan Ruusamäe <glen@delfi.ee> 8b5a064
- rebuild with pythonegg deps

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 48e4aff
- Up to 0.9.6

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 4fcdb98
- setup needs pdb module via doctest

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 67608b9
- release 3

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 1caefaa
- egg installed on py2.4 as well

* Fri Jul 16 2010 shadzik <shadzik@pld-linux.org> a8df3e8
- rel 2

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> bc10f8d
- verbose files

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 8a01110
- apidocs subpackage, clean py sources

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> c33e1e2
- rename to python-babel (match module name)

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 0060fa7
- kill leftovers from template spec

* Mon Jun 14 2010 Caleb Maclennan <caleb@alerque.com> e7836e5
- Up to 0.9.5

